[arch-commits] CVS update of extra/kernels/kernel26ck (PKGBUILD)

Tom Killian tom at archlinux.org
Fri Aug 10 19:25:48 EDT 2007


    Date: Friday, August 10, 2007 @ 19:25:48
  Author: tom
    Path: /home/cvs-extra/extra/kernels/kernel26ck

Modified: PKGBUILD (1.32 -> 1.33)

upgpkg: kernel26ck 2.6.22.2.ck1-1


----------+
 PKGBUILD |   57 +++++++++++++++++++++++++++------------------------------
 1 file changed, 27 insertions(+), 30 deletions(-)


Index: extra/kernels/kernel26ck/PKGBUILD
diff -u extra/kernels/kernel26ck/PKGBUILD:1.32 extra/kernels/kernel26ck/PKGBUILD:1.33
--- extra/kernels/kernel26ck/PKGBUILD:1.32	Sat Jul 28 00:37:05 2007
+++ extra/kernels/kernel26ck/PKGBUILD	Fri Aug 10 19:25:47 2007
@@ -1,13 +1,12 @@
-# $Id: PKGBUILD,v 1.32 2007/07/28 04:37:05 eric Exp $
 # Maintainer: tomk <tom at archlinux.org> Contributor: phydeaux 
 # phydeaux37(at)comcast(dot)net
 
 pkgname=kernel26ck
 basekernel=2.6.22
-_kpatch=2.6.22.1
+_kpatch=2.6.22.2
 _patchver=ck1
 pkgver=${_kpatch}.${_patchver}
-pkgrel=2
+pkgrel=1
 pkgdesc="The Linux Kernel and modules, compiled with the -ck patchset for improved system responsiveness and interactivity"
 url="http://members.optusnet.com.au/ckolivas/kernel"
 arch=('i686' 'x86_64')
@@ -24,7 +23,7 @@
         http://www.archlinux.org/~tpowa/alsa-patches/alsa-20070707.patch.bz2
         http://www.archlinux.org/~tpowa/alsa-patches/alsa-include-20070707.patch.bz2
       	#http://heanet.dl.sourceforge.net/sourceforge/squashfs/squashfs3.2-r2.tar.gz
-	ftp://ftp.filesystems.org/pub/unionfs/unionfs-2.x/linux-2.6.22-rc4-u1.diff.gz
+      	ftp://ftp.filesystems.org/pub/unionfs/unionfs-2.1/unionfs-2.1_for_2.6.22.1.diff.gz
 	config config.x86_64
 	logo_arch_ck_224.ppm
 	logo_linux_mono.pbm
@@ -38,27 +37,6 @@
         acpi-buggy-bios.patch
         bluetooth-alsa.patch
         squashfs3.2-patch.bz2)
-md5sums=('2e230d005c002fb3d38a3ca07c0200d0'
-         '66b0085338f446bf42b407adb099517a'
-         'a29ac92cd688d591afd3fec48905e329'
-         '493137566bc397ec762c86e64bd96849'
-         'd6866d18c3a73e0e3f43db268504c322'
-         'da4c71ae4614ff9e07f323ec75a84862'
-         'f68b3f80a9ecde21248efae29bfa91cd'
-         '9245393d68dbe8de9fe779f3421253ee'
-         'b62e5095967c0c9a7cccdacce81c5c64'
-         '5cbbc19b02fa96e614877da9e7833a0d'
-         'ed6b42fea2f5d27f7eb920746ccc1ebb'
-         'a995ec849ea43d3c89d607bbdd1e7d09'
-         '3b333625635413a8e1466f764785e58a'
-         '8c579c72a4f7187de6b496aec88250ed'
-         '695d8578a0334fa9bb140917561f03d4'
-         '276f81528448a6f86b4935a8c38acdad'
-         '3ed791c3af3099489faf0d22cbcc55a8'
-         '50ba275e9796ac034bfdfd7b27c71eb3'
-         'bbc730a590d4e09b3d937b257e5a4bfe'
-         'f5bd3608306e0ede70c3b3bd8b5de53e'
-         '004c5d686dd70478f80fb6f075a6086b')
                                                                                         
 build() {
   [ "${CARCH}" = "i686" ]   && KARCH=i386
@@ -91,7 +69,7 @@
   # add squashfs
   patch -Np1 -i ../squashfs3.2-patch || return 1
   # add unionfs
-  patch -Np1 -i ../linux-2.6.22-rc4-u1.diff || return 1
+  patch -Np1 -i ../unionfs-2.1_for_2.6.22.1.diff || return 1
 
   #remove the extraversion from Makefile
   sed -i 's|^EXTRAVERSION =.*$|EXTRAVERSION =|' Makefile  
@@ -142,9 +120,7 @@
   mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/.tmp_versions
   
   cp arch/$KARCH/Makefile $startdir/pkg/usr/src/linux-${_kernver}/arch/$KARCH/
-  if [ "$CARCH" = "i686" ]; then
-    cp arch/$KARCH/Makefile.cpu $startdir/pkg/usr/src/linux-${_kernver}/arch/$KARCH/
-  fi
+  cp arch/$KARCH/Makefile.cpu $startdir/pkg/usr/src/linux-${_kernver}/arch/$KARCH/
   cp arch/$KARCH/kernel/asm-offsets.s $startdir/pkg/usr/src/linux-${_kernver}/arch/$KARCH/kernel/
 
   # add headers for lirc package
@@ -179,7 +155,7 @@
     cp -a include/asm-x86_64/tsc.h ${startdir}/pkg/usr/src/linux-${_kernver}/include/asm-x86_64
   else
     mkdir ${startdir}/pkg/usr/src/linux-${_kernver}/include/asm-i386
-    cp -a include/asm-i386/{tsc,msr-index,processor-flags}.h ${startdir}/pkg/usr/src/linux-${_kernver}/include/asm-i386
+    cp -a include/asm-i386/tsc.h ${startdir}/pkg/usr/src/linux-${_kernver}/include/asm-i386
   fi
 
   cd $startdir/pkg/usr/src/linux-${_kernver}/include && ln -s asm-$KARCH asm
@@ -194,3 +170,24 @@
   sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" $startdir/kernel26ck.install
   echo -e "# NEVER EDIT THIS FILE\nALL_kver='${_kernver}'" > ${startdir}/pkg/etc/mkinitcpio.d/kernel26ck.kver
 }
+md5sums=('2e230d005c002fb3d38a3ca07c0200d0'
+         '66b0085338f446bf42b407adb099517a'
+         '1bf6e4e5100b9af1f5eb361cff5a443e'
+         '493137566bc397ec762c86e64bd96849'
+         'd6866d18c3a73e0e3f43db268504c322'
+         'da4c71ae4614ff9e07f323ec75a84862'
+         '6334f2be64678ebeacceda2caac7b1e4'
+         '9245393d68dbe8de9fe779f3421253ee'
+         'a34c173fe5831a6cb42bf67d6f94e5f0'
+         '5cbbc19b02fa96e614877da9e7833a0d'
+         'ed6b42fea2f5d27f7eb920746ccc1ebb'
+         'a995ec849ea43d3c89d607bbdd1e7d09'
+         '3b333625635413a8e1466f764785e58a'
+         '8c579c72a4f7187de6b496aec88250ed'
+         '695d8578a0334fa9bb140917561f03d4'
+         '276f81528448a6f86b4935a8c38acdad'
+         '3ed791c3af3099489faf0d22cbcc55a8'
+         '50ba275e9796ac034bfdfd7b27c71eb3'
+         'bbc730a590d4e09b3d937b257e5a4bfe'
+         'f5bd3608306e0ede70c3b3bd8b5de53e'
+         '004c5d686dd70478f80fb6f075a6086b')




More information about the arch-commits mailing list